Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229768 - Flag user interface enhancement
Summary: Flag user interface enhancement
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 3.2
Hardware: All
OS: Linux
urgent
high vote
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-23 11:56 UTC by Ludek Smid
Modified: 2013-06-24 02:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-18 10:15:12 UTC


Attachments (Terms of Use)

Description Ludek Smid 2007-02-23 11:56:13 UTC
Description of problem:

List of available flags is becoming longer over time and once we will add flags
for z-streams (rhel-5.0.z, rhel-4.5.z, ...) it will clutter the interface and
can confure users. It would help to hide mutually exclusive flags.

The proposed solution:

If one of rhel-x.y, rhel-x.y.z, or rhn-rhelx.y flags are set to "+", "-", or "?"
hide other rhel-* or rhn-rhel* flags (if not set). These flags are mutually
exclusive.

When no of the mentioned flags are set, display all of them (current behavior).

This operation cound be (probably) performed just on client side using JavaScript.

Comment 1 David Lawrence 2008-09-16 16:55:13 UTC
Red Hat Bugzilla is now using version 3.2 of the Bugzilla codebase and therefore this bug will need to be re-verified against the new release. With the updated code this bug may no longer be relevant or may have been fixed in the new code.
Updating bug version to 3.2.

Comment 2 Ludek Smid 2008-09-18 10:15:12 UTC
Red Hat Bugzilla 3.2 behaves as required. Closing this bz.


Note You need to log in before you can comment on or make changes to this bug.